Status: Closed Start date: 2012-03-22

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_cn_solr_extensions Estimated time: 0.00 hour

Target version: Sprint-2012.11-Block.2.2   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

when calling cn.getLogRecords() with session subject set, am getting a ServiceFailure.  But the http status code is 200, so the client

attempts to deserialize the error xml to the Log datatype.  should be 500.

Secondly, the ServiceFailure indicates another problem with the implementation.  I believe that the subject lookup is to get a trusted

subjectInfo, and think the desired behavior is to allow the subjectInfo to be empty, and proceed without groups and equivalent

identities and verified statuses. 

the returned content from the call:

<?xml version="1.0" encoding="UTF-8"?>

Problem looking up entry: CN=testRightsHolder,DC=dataone,DC=org : [LDAP: error code 32 - No Such Object]

Subtasks:

Task # 2517: refactor IdentityManager's  CNIdentityLDAPImpl.getSubjectInfo() to throw N... Rejected

Task # 2518: refactor SessionAuthorization.doFilter() Closed

History

#1 - 2012-03-22 16:12 - Rob Nahf

- Category changed from d1_log_aggregation to d1_cn_solr_extensions

- Assignee changed from Skye Roseboom to Robert Waltz

#2 - 2012-03-22 19:17 - Rob Nahf

- Status changed from New to In Progress

- Assignee changed from Robert Waltz to Rob Nahf

d1_identity_manager

CNIdentityLDAPImpl.getSubjectInfo() doesn't throw NotFound or NotAuthorized exceptions, but simply ServiceFailure. Need to add that exception to

throws clause.  Will impact other dependent services.

d1_solr_extensions

SessionAuthorizationFilter.doFilter() also doesn't handle the "not found" situation, but instead sends along the ServiceFailure.

#3 - 2012-03-26 17:29 - Rob Nahf

- Status changed from In Progress to Closed
